package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ContractSendRequest struct {
	// <ext>core:true;format:string</ext> 【电子签约文件id】电子签约文件id 【作用】 查询需要发起的电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	ContractId *int64 `json:"contractId,omitempty"`
	// <ext>core:true</ext> 【第三方业务系统文件id】第三方业务系统文件id 【作用】 查询需要发起的电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	BizId string `json:"bizId,omitempty"`
	// 【自动签失败时是否发起文件】自动签失败时是否发起文件 【作用】 当创建文件时设置为自动签，自动签失败时是否要创建或发起文件 【传参】 取值范围：true（能发起），false（不能发起）；不传值默认为：true（能发起）。
	IgnoreAutoSignConf *bool `json:"ignoreAutoSignConf,omitempty"`
}

func (obj ContractSendRequest) GetUrl() string {
	return "/contract/send"
}

func (obj ContractSendRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
